#!/usr/bin/env python2.3

import sys

if len(sys.argv) != 4:
    print "Usage: luc.py [configuration file] [number of categories] [index]"
    print "   [configuration file]: provides domain dimensions."
    print "   [number of categories]: number of LUC categories."
    print "   [index]: index of the land category."
    sys.exit(1)

# Generates land use cover for local simulations.
# It is assumed that there is only one category. Its index is:
cover_index = int(sys.argv[3])

from atmopy import *
from numarray import *

# Reads domain configuration.
content = [("Nx", "[domain]", "Int"),
           ("Ny", "[domain]", "Int")]

config = talos.Config(sys.argv[1], new_content = content)

# Output data.
output = zeros(shape = (int(sys.argv[2]), config.Nx, config.Ny),
               type = 'f')

output[cover_index] = 1.

# Writes results.
output.tofile("LUC.bin")
